> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/know-your-customer-kyc-api/get-a-kyc-form-entry-details.md).

# Get a KYC form entry details

## GET /organizations/{organizationId}/kyc-forms/{kycFormId}/entries/{kycFormEntryId}

> Get KYC Form Entry by OrganizationID, FormID and FormEntryID

```json
{"openapi":"3.0.3","info":{"title":"Accounts","version":"v1"},"tags":[{"description":"Manage the know-your-customer process.","name":"kyc"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"FormEntry":{"type":"object","title":"KycFormEntry","additionalProperties":false,"properties":{"id":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"formId":{"type":"string","format":"uuid"},"locale":{"$ref":"#/components/schemas/locale"},"status":{"$ref":"#/components/schemas/formEntryStatus"},"businessProfileId":{"type":"string","format":"uuid","description":"The ID of an existing Business Profile."},"businessProfileVersion":{"type":"integer","description":"The version of the Business Profile."},"answers":{"type":"array","items":{"$ref":"#/components/schemas/answer"}},"reviewComment":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"displayName":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/KYCFormEntryTag"}},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","formId","organizationId","locale","answers","status","createdAt","updatedAt"]},"locale":{"type":"string","format":"locale-bcp47"},"formEntryStatus":{"type":"string","description":"The status of the form entry.","enum":["draft","submitted","approved","rejected","expired"]},"answer":{"oneOf":[{"$ref":"#/components/schemas/string-2"},{"$ref":"#/components/schemas/stringArray"},{"$ref":"#/components/schemas/boolean"},{"$ref":"#/components/schemas/booleanArray"},{"$ref":"#/components/schemas/integer"},{"$ref":"#/components/schemas/integerArray"},{"$ref":"#/components/schemas/float"},{"$ref":"#/components/schemas/floatArray"}]},"string-2":{"type":"object","additionalProperties":false,"required":["key","valueString"],"properties":{"key":{"type":"string"},"valueString":{"type":"string"},"isDefault":{"type":"boolean","nullable":true}}},"stringArray":{"type":"object","additionalProperties":false,"required":["key","valueStringArray"],"properties":{"key":{"type":"string"},"valueStringArray":{"type":"array","items":{"type":"string"}},"isDefault":{"type":"boolean","nullable":true}}},"boolean":{"type":"object","additionalProperties":false,"required":["key","valueBoolean"],"properties":{"key":{"type":"string"},"valueBoolean":{"type":"boolean"},"isDefault":{"type":"boolean","nullable":true}}},"booleanArray":{"type":"object","additionalProperties":false,"required":["key","valueBooleanArray"],"properties":{"key":{"type":"string"},"valueBooleanArray":{"type":"array","items":{"type":"boolean"}},"isDefault":{"type":"boolean","nullable":true}}},"integer":{"type":"object","additionalProperties":false,"required":["key","valueInteger"],"properties":{"key":{"type":"string"},"valueInteger":{"type":"number"},"isDefault":{"type":"boolean","nullable":true}}},"integerArray":{"type":"object","additionalProperties":false,"required":["key","valueIntegerArray"],"properties":{"key":{"type":"string"},"valueIntegerArray":{"type":"array","items":{"type":"number"}},"isDefault":{"type":"boolean","nullable":true}}},"float":{"type":"object","additionalProperties":false,"required":["key","valueFloat"],"properties":{"key":{"type":"string"},"floatValue":{"type":"number","format":"float"},"isDefault":{"type":"boolean","nullable":true}}},"floatArray":{"type":"object","additionalProperties":false,"required":["key","valueFloatArray"],"properties":{"key":{"type":"string"},"floatValueArray":{"type":"array","items":{"type":"number","format":"float"}},"isDefault":{"type":"boolean","nullable":true}}},"KYCFormEntryTag":{"type":"object","required":["key","value"],"additionalProperties":false,"properties":{"key":{"type":"string"},"value":{"type":"string"}}},"Error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Unique identifier for the error that occurred"},"message":{"type":"string","description":"Description of the error that occurred, aimed at API consumers"}}}},"responses":{"notFound":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Resource not found"}}},"paths":{"/organizations/{organizationId}/kyc-forms/{kycFormId}/entries/{kycFormEntryId}":{"get":{"operationId":"getOrganizationKycFormEntry","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormEntry"}}},"description":"OK"},"404":{"$ref":"#/components/responses/notFound"}},"summary":"Get KYC Form Entry by OrganizationID, FormID and FormEntryID","tags":["kyc"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/api/know-your-customer-kyc-api/get-a-kyc-form-entry-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
